/****
 *
 * Arquivo Dispersao.h
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 07/08/2017
 * ltima modificao: 25/05/2018
 *
 * Descrio: Interface de funes de disperso
 *
 ****/

#ifndef _Dispersao_H_
#define _Dispersao_H_

/************************* Aluses ************************/

extern unsigned int DispersaoPolinomial(const char *chave);
extern unsigned int DispersaoRotativa(const char *chave);
extern unsigned int DispersaoJenkins(const char *chave);
extern unsigned int DispersaoDJB(const char *chave);
extern unsigned int DispersaoDJB2(const char *chave);
extern unsigned int DispersaoSAX(const char *chave);
extern unsigned int DispersaoFNV(const char *chave);
extern unsigned int DispersaoJSW(const char *chave);

#endif
