/****
 *
 * Arquivo: Heap.h
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 06/10/2017
 * ltima modificao: 06/10/2017
 *
 * Descrio: Interface do mdulo Heap
 *
 ****/

#ifndef _Heap_H_
#define _Heap_H_

/*********************** Includes *************************/

#include "Tipos.h"  /* Definies de tipos */

/******************* Aluses de Funes *******************/

extern tHeap *IniciaHeap(tHeap *heap);
extern void DestroiHeap(tHeap *heap);
extern void InsereEmHeap( tHeap *heap, tNoHeap item,
                          tFCompara Compara );
extern tNoHeap RemoveMin(tHeap *heap, tFCompara Compara);
extern tNoHeap ObtemMinimo(const tHeap *heap);
extern int HeapVazio(const tHeap *heap);
extern int TamanhoHeap(const tHeap *heap);

#endif
