/******
 *
 * Arquivo Heap.h: Interface do mdulo heap
 *
 *****/

#ifndef _Heap_H_
#define _Heap_H_

/*********************** Includes *************************/

#include "Tipos.h"  /* Tipos usadas pelo programa */

/******************* Aluses de Funes *******************/

extern void OrdenaHeapIM_Arq2(tHeapIM_Arq2 *heap, int indice, tFCompara Compara);
extern tHeapIM_Arq2 *IniciaHeapIM_Arq2(tHeapIM_Arq2 *heap, int nElementos);
extern void DestroiHeapIM_Arq2(tHeapIM_Arq2 *heap);
extern tNoHeapIM_Arq2 ObtemMinimoIM_Arq2(const tHeapIM_Arq2 *heap);
extern tNoHeapIM_Arq2 ReduzHeapIM_Arq2(tHeapIM_Arq2 *heap);
extern void SubstituiMinimoIM_Arq2( tHeapIM_Arq2 *heap, const tNoHeapIM_Arq2 *item,
                                    tFCompara Compara );
extern int HeapVazioIM_Arq2(tHeapIM_Arq2 *heap);

#endif
