/****
 *
 * Exemplo: Sada Formatada: sprintf()
 *
 * Seo: 2.7
 *
 ****/

#include <stdio.h>

int main(void)
{
   char    ar[80]; /* Array no qual sprintf ir escrever */
   int     umInt = 21; /* Inteiro a ser escrito no array */
   double  umDouble = 2.5; /* Nmero real a ser escrito no array */
   char    umChar = 'B'; /* Caractere a ser escrito no array */
   int     nCarEscritos; /* Nmero de caracteres escritos no array */

   nCarEscritos = sprintf(ar, "umInt = %d, umDouble = %3.2f, "
                          "umChar = %c", umInt, umDouble, umChar);

   printf("\n>>> String escrito no array:\n\t> %s\n", ar);

   printf("\n>>> Numero de caracteres escritos no array: %d\n", nCarEscritos);

   return 0;
}

/****************** Resultado do Programa *****************

>>> String escrito no array:
        > umInt = 21, umDouble = 2.50, umChar = B

>>> Numero de caracteres escritos no array: 39

**********************************************************/
