/****
 *
 * Exemplo: Removendo e Renomeando Arquivos
 *
 * Seo: 2.9
 *
 ****/

#include <stdio.h>

int main(int argc, char *argv[])
{
   if (argc != 3) {
      printf( "\n\t>>> Este programa deve ser usado assim:"
              "\n> %s nome-atual novo-nome\n", argv[0] );
      return 1;
   }

      /* Rebatiza o arquivo */
   if(rename(argv[1], argv[2])) {
      printf( "\n\t>>> Ocorreu um erro ao tentar "
              "rebatizar \"%s\"\n", argv[1] );
   } else {
      printf( "\n\t>>> O arquivo \"%s\" foi rebatizado "
              "\n\t>>> para \"%s\"\n", argv[1], argv[2] );
   }

   return 0;
}

/******************* Exemplo de Execuo ******************

[O nome do programa executvel  rebatiza]

C:\Programas>rebatiza Tudor.txt TudorBK.txt

        >>> O arquivo "Tudor.txt" foi rebatizado
        >>> para "TudorBK.txt"

**********************************************************/
