#ifndef _Tabela_H_
#define _Tabela_H_

#include "Registros.h" /* Interface do mdulo Registros */

/****************** Definies de Tipos *******************/

typedef char tCEP[TAM_CEP + 1]; /* Tipo de chave */

   /* Tipo de contedo de um elemento */
typedef struct {
           tCEP chave; /* CEP */
           int  valor; /* ndice do CEP no arquivo de registos de CEPs */
        } tCEP_Ind;

typedef struct rotTabelaIdx *tTabelaIdx;

/******************* Aluses de Funes *******************/

extern tTabelaIdx CriaTabelaIdx(void);
extern void DestroiTabelaIdx(tTabelaIdx tabela);
extern int ComprimentoIdx(tTabelaIdx tabela);
extern tCEP_Ind ObtemElementoIdx(tTabelaIdx tabela, int indice);
extern tCEP_Ind RemoveElementoIdx(tTabelaIdx tabela, int indice);
extern int EstaVaziaIdx(tTabelaIdx tabela);
extern int BuscaSequencialIdx( tTabelaIdx tabela, tCEP chaveProcurada );
extern void AcrescentaElementoIdx(tTabelaIdx tabela, const tCEP_Ind *elemento);
extern void AlteraElementoIdx( tTabelaIdx tabela, int indice,
                               const tCEP_Ind *novoValor );

#endif
