#ifndef _ASSEGURA_H_
#define _ASSEGURA_H_

#include <stdio.h>  /* fprintf() e stderr */
#include <stdlib.h> /* exit()             */

   /* Macro utilizada em tratamento */
   /* de condies de exceo       */
#define ASSEGURA(condicao, msg) if (!(condicao)) {\
                                   fprintf(stderr, "\n%s\n", msg);\
                                   exit(1); \
                                }

#endif
