/****
 *
 * Arquivo ASSEGURA.h
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 07/06/2016
 * ltima modificao: 07/06/2016
 *
 * Descrio: Definio da macro utilizada em tratamento de
 *            excees
 *
 ****/

#ifndef _ASSEGURA_H_   /* Previne incluso mltipla deste arquivo */
#define _ASSEGURA_H_

#include <stdlib.h> /* Funo exit()   */
#include <stdio.h>  /* Funo printf() */

   /* Macro utilizada em tratamento */
   /* de condies de exceo       */
#define ASSEGURA(condicao, msg) if (!(condicao)) {\
                                   fprintf(stderr, "\n%s\n", msg);\
                                   exit(1); \
                                }

#endif
