/******
 *
 * Arquivo Heap.h: Interface do mdulo heap
 *
 *****/

#ifndef _Heap_H_
#define _Heap_H_

/*********************** Includes *************************/

#include "Tipos.h"  /* Tipos usadas pelo programa */

/******************* Aluses de Funes *******************/

extern void OrdenaHeapIM_Arq(tHeapIM_Arq *heap, int indice, tFCompara Compara);
extern tHeapIM_Arq *IniciaHeapIM_Arq(tHeapIM_Arq *heap, int nElementos);
extern void DestroiHeapIM_Arq(tHeapIM_Arq *heap);
extern tNoHeapIM_Arq ObtemMinimoIM_Arq(const tHeapIM_Arq *heap);
extern tNoHeapIM_Arq ReduzHeapIM_Arq(tHeapIM_Arq *heap);
extern void SubstituiMinimoIM_Arq( tHeapIM_Arq *heap, const tNoHeapIM_Arq *item,
                                   tFCompara Compara );
extern int HeapVazioIM_Arq(tHeapIM_Arq *heap);

#endif
