/******
 *
 * Arquivo Heap.h: Interface do mdulo heap
 *
 *****/

#ifndef _Heap_H_
#define _Heap_H_

/*********************** Includes *************************/

#include "Tipos.h"  /* Tipos usadas pelo programa */

/******************* Aluses de Funes *******************/

extern void OrdenaHeap(tHeap *heap, int indice, tFCompara Compara);
extern tHeap *IniciaHeap(tHeap *heap, int nElementos);
extern void DestroiHeap(tHeap *heap);
extern tNoHeap ObtemMinimo(const tHeap *heap);
extern tNoHeap ReduzHeap(tHeap *heap);
extern void SubstituiMinimo( tHeap *heap, const tNoHeap *item,
                             tFCompara Compara );

#endif
