#ifndef _Lista_H_
#define _Lista_H_

/*********************** Includes *************************/

#include "Tipos.h"  /* Tipos usadas pelo programa  */

/************************* Aluses ************************/

extern void IniciaListaSE(tListaSE *lista);
extern int ComprimentoListaSE(tListaSE lista);
extern void InsereNoLSE(tListaSE *lista, const tSerie *serie);
extern int RemoveNoLSE(tListaSE *lista, const tSerie *serie);
extern int EstaVaziaLSE(tListaSE lista);
extern tSerie *BuscaListaSE(tListaSE lista, tSerie *serie);
extern void DestroiListaSE(tListaSE *lista);
extern tSerie *ProximoListaSE(tListaSE lista);

#endif
